# DataExchange
TKVRML
Vrml

# Vrml_SpotLight Class Reference

specifies a spot light node of VRML nodes specifying
properties of lights.
This node defines a spotlight light source.
A spotlight is placed at a fixed location in 3D-space
and illuminates in a cone along a particular direction.
The intensity of the illumination drops off exponentially
as a ray of light diverges from this direction toward
the edges of cone.
The rate of drop-off and agle of the cone are controlled
by the dropOfRate and cutOffAngle
Color is written as an RGB triple.
Light intensity must be in the range 0.0 to 1.0, inclusive.

`#include <Vrml_SpotLight.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Vrml_SpotLight ()
Standard_EXPORT | Vrml_SpotLight (const Standard_Boolean aOnOff, const Standard_Real aIntensity, const Quantity_Color &aColor, const gp_Vec &aLocation, const gp_Vec &aDirection, const Standard_Real aDropOffRate, const Standard_Real aCutOffAngle)
Standard_EXPORT void | SetOnOff (const Standard_Boolean anOnOff)
Standard_EXPORT Standard_Boolean | OnOff () const
Standard_EXPORT void | SetIntensity (const Standard_Real aIntensity)
Standard_EXPORT Standard_Real | Intensity () const
Standard_EXPORT void | SetColor (const Quantity_Color &aColor)
Standard_EXPORT Quantity_Color | Color () const
Standard_EXPORT void | SetLocation (const gp_Vec &aLocation)
Standard_EXPORT gp_Vec | Location () const
Standard_EXPORT void | SetDirection (const gp_Vec &aDirection)
Standard_EXPORT gp_Vec | Direction () const
Standard_EXPORT void | SetDropOffRate (const Standard_Real aDropOffRate)
Standard_EXPORT Standard_Real | DropOffRate () const
Standard_EXPORT void | SetCutOffAngle (const Standard_Real aCutOffAngle)
Standard_EXPORT Standard_Real | CutOffAngle () const
Standard_EXPORT Standard_OStream & | Print (Standard_OStream &anOStream) const

## Private Attributes

Standard_Boolean | myOnOff
Standard_Real | myIntensity
Quantity_Color | myColor
gp_Vec | myLocation
gp_Vec | myDirection
Standard_Real | myDropOffRate
Standard_Real | myCutOffAngle

## Constructor & Destructor Documentation

Standard_EXPORT Vrml_SpotLight::Vrml_SpotLight | ( |  | ) |

Standard_EXPORT Vrml_SpotLight::Vrml_SpotLight | ( | const Standard_Boolean | aOnOff,
|  | const Standard_Real | aIntensity,
|  | const Quantity_Color & | aColor,
|  | const gp_Vec & | aLocation,
|  | const gp_Vec & | aDirection,
|  | const Standard_Real | aDropOffRate,
|  | const Standard_Real | aCutOffAngle
| ) |

## Member Function Documentation

Standard_EXPORT Quantity_Color Vrml_SpotLight::Color | ( |  | ) | const

Standard_EXPORT Standard_Real Vrml_SpotLight::CutOffAngle | ( |  | ) | const

Standard_EXPORT gp_Vec Vrml_SpotLight::Direction | ( |  | ) | const

Standard_EXPORT Standard_Real Vrml_SpotLight::DropOffRate | ( |  | ) | const

Standard_EXPORT Standard_Real Vrml_SpotLight::Intensity | ( |  | ) | const

Standard_EXPORT gp_Vec Vrml_SpotLight::Location | ( |  | ) | const

Standard_EXPORT Standard_Boolean Vrml_SpotLight::OnOff | ( |  | ) | const

void Vrml_SpotLight::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Vrml_SpotLight::operator new | ( | size_t | size | ) | `[inline]`

void* Vrml_SpotLight::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_OStream& Vrml_SpotLight::Print | ( | Standard_OStream & | anOStream | ) | const

Standard_EXPORT void Vrml_SpotLight::SetColor | ( | const Quantity_Color & | aColor | ) |

Standard_EXPORT void Vrml_SpotLight::SetCutOffAngle | ( | const Standard_Real | aCutOffAngle | ) |

Standard_EXPORT void Vrml_SpotLight::SetDirection | ( | const gp_Vec & | aDirection | ) |

Standard_EXPORT void Vrml_SpotLight::SetDropOffRate | ( | const Standard_Real | aDropOffRate | ) |

Standard_EXPORT void Vrml_SpotLight::SetIntensity | ( | const Standard_Real | aIntensity | ) |

Standard_EXPORT void Vrml_SpotLight::SetLocation | ( | const gp_Vec & | aLocation | ) |

Standard_EXPORT void Vrml_SpotLight::SetOnOff | ( | const Standard_Boolean | anOnOff | ) |

## Field Documentation

Quantity_Color Vrml_SpotLight::myColor `[private]`

Standard_Real Vrml_SpotLight::myCutOffAngle `[private]`

gp_Vec Vrml_SpotLight::myDirection `[private]`

Standard_Real Vrml_SpotLight::myDropOffRate `[private]`

Standard_Real Vrml_SpotLight::myIntensity `[private]`

gp_Vec Vrml_SpotLight::myLocation `[private]`

Standard_Boolean Vrml_SpotLight::myOnOff `[private]`

The documentation for this class was generated from the following file:

- Vrml_SpotLight.hxx